ubuntu/+source/libxslt:ubuntu/hardy

Last commit made on 2007-11-19
Get this branch:
git clone -b ubuntu/hardy https://git.launchpad.net/ubuntu/+source/libxslt
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/hardy
Repository:
lp:ubuntu/+source/libxslt

Recent commits

f308507... by Sebastien Bacher on 2007-11-19

Import patches-unapplied version 1.1.22-1ubuntu1 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 2a805a242e4c3c489938dbc5d1024097c6edec06

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Build a python-libxslt1-dbg package.
  * New upstream release.

2a805a2... by Matthias Klose on 2007-08-09

Import patches-unapplied version 1.1.21-2ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 55fe48173ec499b379016b159f8b464cda19e1eb

New changelog entries:
  * Merge from Debian; remaining changes:
    - Build a python-libxslt1-dbg package.
  * libxslt/xslt.c: Removed the exclude-result-prefix change making some
    transformations crash. This reversal has also been done upstream.
    Closes: #434300.

55fe481... by Matthias Klose on 2007-06-14

Import patches-unapplied version 1.1.21-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 1f27b92dd35cfd4153d76acdc5572c8056ffc41a

New changelog entries:
  * Merge from Debian; remaining changes:
    - Build a python-libxslt1-dbg package.
  * New upstream release.
  * debian/rules: Leave shlibs version to >= 1.1.18: no new symbols.

1f27b92... by Matthias Klose on 2007-05-18

Import patches-unapplied version 1.1.20-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: e81c37757ce8bfc792855d8fcbc31b60a905dc44

New changelog entries:
  * Merge with Debian; remaining changes:
    - Build a python-libxslt1-dbg package.
  * New upstream release.
  * debian/rules: Leave shlibs version to >= 1.1.18, since the only added
    symbols are not supposed to be used (i.e. documented as such), but are
    necessary for libexslt.

e81c377... by Matthias Klose on 2007-02-18

Import patches-unapplied version 1.1.20-0ubuntu2 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 392b2831649892c90b2ca31dd1019976455b50ab

New changelog entries:
  * Build a python-libxslt1-dbg package.
  * Set Ubuntu maintainer address.

392b283... by Daniel Holbach on 2007-01-24

Import patches-unapplied version 1.1.20-0ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 5bd0262376581068ec2749af431a8d43b7efb47b

New changelog entries:
  * New upstream release.
  * debian/rules:
    - bumped shlibs, new interfaces added.

5bd0262... by Mike Hommey <email address hidden> on 2006-12-01

Import patches-unapplied version 1.1.19-1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 24669694831c013e89c4e78b94e29b99814dc710

New changelog entries:
  * New upstream release
  * debian/rules: Set shlibs version to >= 1.1.18.
  * libxslt/transform.c: Patch from upstream CVS to fix hangs and segfaults
    when processing XCB protocol definitions. Closes: #398327, again.

2466969... by Mike Hommey <email address hidden> on 2006-11-25

Import patches-unapplied version 1.1.18-3 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 14b5e098c495abb494352b2cea4906961d7db45d

New changelog entries:
  * libxslt/variables.c: Patch from upstream CVS to fix hangs and segfaults
    when processing XCB protocol definitions. Closes: #398327.
  * libxslt/transform.c: Added a missing * to the previous patch. No real
    problem posed by it missing, but since upstream applied the patch with
    it and it's cleaner...

14b5e09... by Mike Hommey <email address hidden> on 2006-11-20

Import patches-unapplied version 1.1.18-2 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: cf40f975ff57f3bcba3ac319f924fe0e01b9666f

New changelog entries:
  * libxslt/transform.c:
    + Don't lose context namespaces in some recursive cases. Closes: #399010
    + Took patch from upstream CVS for copy-of issue with entities.
      Closes: #397395
  * Set urgency to high since we fix RC regressions.

cf40f97... by Mike Hommey <email address hidden> on 2006-10-27

Import patches-unapplied version 1.1.18-1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: cc00010627066c10efe462b42208d6fa28d5e736

New changelog entries:
  * New upstream release:
    + Fixes xsl:variable with node sets. Closes: #381597.
    + Honors disable-output-escaping in xhtml 1.0 style element.
      Closes: #395210.
    + Supports XInclude processing on XSL stylesheets. Closes: #395210.
    + Correctly handles xsl:param names with namespaces. Closes: #389023.
  * debian/control:
    + Bumped Standards-Version to 3.7.2.2. No changes required.
    + Build depend on libxml2 >= 2.6.27, and adapt other dependencies
      accordingly.
  * xsltproc/xsltproc.c: Reverted patch to allow xsltproc to do XInclude
    processing. Closes: #389694. Reopens: #383408.
  * xsltproc/xsltproc.c: Return an error code 11 if there was an error while
    writing the output file. Note that this doesn't make a difference between
    permission error, parent directory existance or out of space errors.
    Closes: #356486.
  * doc/xsltproc.1, doc/xsltproc.html, doc/xsltproc.xml: Updated documentation
    accordingly.
  * xsltproc/xsltproc.c: Applied patch from upstream CVS to allow xsltproc to
    do XInclude processing. Closes: #383408.
  * debian/libxslt1.install: Really removed.
  * debian/control:
    + Force build against latest libxml2 with "hacked" .la file so that
      libxslt's .la file doesn't contain spurious dependencies.
    + Bump Standards-Version to 3.7.2.1: no changes required.
  * debian/libxslt-dev.install: Don't install libexslt.la.
  * debian/rules: Filter out dependency_libs in libexslt.la.
    The 2 latter changes fix build issues with libtool, though it breaks
    static linking with libtool, which was already broken by libxml2 anyway.
    We recommend the use of pkg-config --static --libs instead.
    Closes: #379714.
  * xst-config.in: Fix --static output to use xml2-config.